# Gamebase Authentication Twitter Adapter for Android

## Dependencies

| Module | Dependencies | Description |
| ------ | ------------ | ----------- |
| gamebase-adapter-auth-twitter | gamebase-sdk-base-{version}.aar | Gamebase Android SDK |
|                               | oauth.signpost:signpost-core:1.2.1.2.jar | Signpost for OAuth |
|        |              |             |

### Reference of Twitter Android Developer's guide.
* https://dev.twitter.com/web/sign-in/implementing
* https://developer.twitter.com/en/docs/basics/authentication/overview/oauth

## Release Note

| Date | Twitter Adapter Version | Gamebase SDK Version  | Description |
| ---- | ----------------------- | --------------------- |------------ |
| 2018.06.26 | 1.11.0 | 1.11.0 ~ 1.15.0 | - Initial version |
| 2018.08.30 | 1.12.2 | 1.11.0 ~ 1.15.0 | - Support for Android 9.0 |
| 2019.01.29 | 2.0.0  | 2.0.0           | - Update Adapter Version due to Gamebase 2.0.0 Release |
| 2019.04.23 | 2.3.0  | 2.3.0 ~         | - Change logout, withdraw interface. Fix a memory leak |


